package es.uv.saic.domain;

import fr.opensagres.xdocreport.document.images.IImageProvider;
import fr.opensagres.xdocreport.template.annotations.FieldMetadata;
import fr.opensagres.xdocreport.template.annotations.ImageMetadata;

public class DocumentTemplate {

	@SuppressWarnings("unused")
	private static final long serialVersionUID = 1L;
	private final String centre;
	private final String curs;
	private final IImageProvider logo;

	public DocumentTemplate(String centre, String curs, IImageProvider logo) {
		this.centre = centre;
		this.curs = curs;
		this.logo = logo;
	}

	public String getCentre() {
		return centre;
	}

	public String getCurs() {
		return curs;
	}

	@FieldMetadata( images = { @ImageMetadata( name = "logo" ) }, description="Logo"  )
    public IImageProvider getLogo(){
        return this.logo;
    }
	  
}